CURLOPT_TCP_KEEPINTVL(3)

NAME
CURLOPT_TCP_KEEPINTVL - set TCP keep-alive interval

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TCP_KEEPINTVL, long interval);

DESCRIPTION
Pass a long. Sets the interval, in seconds, that the operating system will wait between sending keepalive probes. Not all operating systems support this option. (Added in 7.25.0)

DEFAULT

PROTOCOLS

EXAMPLE
TODO

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_TCP_KEEPALIVE(3), CURLOPT_TCP_KEEPIDLE(3),